<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Help
 *
 * @property int $id
 * @property string $title
 * @property string $answer
 * @property int $look_num
 * @method static \Illuminate\Database\Eloquent\Builder|Help newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Help newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Help query()
 * @method static \Illuminate\Database\Eloquent\Builder|Help whereAnswer($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Help whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Help whereLookNum($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Help whereTitle($value)
 * @mixin \Eloquent
 */
class Help extends Model
{
    use HasFactory;

    const CREATED_AT = null;
    const UPDATED_AT = null;
}
